v5.0
get
/ec-ors-svc/rest/v5.0/studies/{studyId}/{mode}/unblinded-disp-history
Retrieves unblinded dispensation history for all subjects within the study. This version includes new fields in response for non-serialized kits:
Rights: OrsSubjectVisitGet.
- subjectVisitNsInventoryId lotId
- quantity
- lotNumber
- nsInventoryVersionStart
- visitManualAssignment
- nsInventoryId
- userId
- originalSubjectVisitNSInventory
- notDispensedToSubject
Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
Query Parameters
-
audit: boolean
Value of audit parameterExample:
false -
instanceNumber: number
Instance number for unscheduled visit.Example:
1 -
limit: integer(int32)
Maximum number of records to display per page.Example:
100 -
offset: integer(int32)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
0 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
visitId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visitExample:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : PaginatedResponse
Type:
objectGeneric pagination wrapper providing page information and the result data for the current page.
Show Source
-
count: integer
(int32)
Minimum Value:
0Number of results in the current page.Example:25 -
hasMore: boolean
Indicates if there are more results beyond the current page.Example:
true -
limit: integer
(int32)
Minimum Value:
1Maximum Value:500Maximum number of records returned per page.Example:50 -
offset: integer
(int32)
Minimum Value:
0Index of the first record returned in the current page.Example:0 -
resultData: object
resultData
Paginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
-
totalResults: integer
(int32)
Minimum Value:
0Total number of results across all pages.Example:125
Nested Schema : resultData
Type:
objectPaginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
Example:
[
{
"ruleId":"8E2253D8E53A4A46BAE3E4952CBE9E5A"
}
]Examples
400 Response
Invalid limit or offset values
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID or version. Or subject not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples